Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns detailed information about an album including tracks.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/albums/{id} \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/albums/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/albums/{id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "id": 20, "name": "GUTS", "mbid": null, "artist": { "id": 37, "name": "Olivia Rodrigo" }, "playcount": 32, "url": "https://www.last.fm/music/Olivia+Rodrigo/GUTS", "apple_music_url": null, "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/listening/albums/20/original.jpg?v=1", "thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3", "dominant_color": "#5c4a6d", "accent_color": "#c4a8d4" }, "tracks": [ { "id": 1001, "name": "bad idea right?", "scrobble_count": 82, "apple_music_url": null, "preview_url": null }, { "id": 1002, "name": "vampire", "scrobble_count": 57, "apple_music_url": null, "preview_url": null } ] }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
"42"
Album detail
Show child attributes